Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Delete User Do Not Disturb Period

Delete the Do Not Disturb period settings for a specified user.

Method Description

POST: https://data center domain/user/blockPushPeriod/delete.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature rule. For details, refer to API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, supporting the following HTTP form parameters:

ParameterTypeRequiredDescription
userIdStringYesUser ID

Request Example

POST /user/blockPushPeriod/delete.json  HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdsdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7487889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded
X-Request-ID: XXXXXXXXXXXXXXXXXXXXXXXXXXXX(max length 36)

userId=userId

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeintReturn code, 200 indicates success

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
X-Request-ID: XXXXXXXXXXXXXXXXXXXXXXXXXXXX

{"code":200}